<?php
namespace App\Models\User;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ExpenseCategory extends Model
{
    use HasFactory;
    protected $fillable = ['user_id','name','slug','notes'];

    public function expenses()
    {
        return $this->hasMany(Expense::class, 'category_id');
    }
}
